> ## Documentation Index
> Fetch the complete documentation index at: https://docs.retailgrid.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job status

> Check the progress, state, and results of an asynchronous Retailgrid job such as a bulk upsert or CSV import operation.



## OpenAPI

````yaml GET /v1/jobs/{job_id}
openapi: 3.1.0
info:
  title: Retailgrid Public API
  version: v1
servers: []
security: []
paths:
  /v1/jobs/{job_id}:
    get:
      tags:
        - jobs
      summary: Get Job
      operationId: get_job_v1_jobs__job_id__get
      parameters:
        - name: job_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Job Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobStatusResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobStatusResponse:
      properties:
        job_id:
          type: string
          format: uuid
          title: Job Id
        job_type:
          type: string
          title: Job Type
        status:
          type: string
          title: Status
        progress:
          anyOf:
            - type: integer
            - type: 'null'
          title: Progress
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        grid_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Grid Id
        related_grid_fill_job_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Related Grid Fill Job Id
        grid_items_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Grid Items Count
      additionalProperties: false
      type: object
      required:
        - job_id
        - job_type
        - status
        - created_at
      title: JobStatusResponse
      description: '``GET /v1/jobs/{id}`` response — current status for the caller''s job.'
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````